package com.sys.dao;

import com.sys.model.CKUOauth2Client;
import org.apache.ibatis.annotations.Param;

public interface CKUOauth2ClientMapper {
    int deleteByPrimaryKey(Long id);

    int insert(CKUOauth2Client record);

    int insertSelective(CKUOauth2Client record);

    CKUOauth2Client selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(CKUOauth2Client record);

    int updateByPrimaryKey(CKUOauth2Client record);

    CKUOauth2Client selectByClientId(@Param("clientId") String clientId);

    CKUOauth2Client selectByClientSecret(@Param("clientSecret") String clientSecret);

}